using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;
using System.IO;

public partial class Admin_SheZhi_ZhuCeYongHu : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("更改注册用户设置", "网站后台", "更改注册用户设置", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }
    private void ZhiXing()
    {
        访问.验证管理员();
        DuanXinZhuCeLuJin.Text = "http://" + Request.Url.Authority + 程序.安装位置 + "Club/DXZC/";
        if (this.IsPostBack)
            更改设置();
        else
            初始化设置();
    }
    private void 初始化设置()
    {
        if (Convert.ToBoolean(程序.设置["注册用户_是否开启注册"]))
            ShiFouKaiQiZhuCe_T.Checked = true;
        else
            ShiFouKaiQiZhuCe_F.Checked = true;
        ZhanTingZhuCeTiShi.Text = Convert.ToString(程序.设置["注册用户_暂停注册提示"]);
        if (Convert.ToInt32(程序.设置["注册用户_注册首选类型"]) == 0)
            ShouXuanZhuCeLeiXing_0.Checked = true;
        else
            ShouXuanZhuCeLeiXing_1.Checked = true;
        ZhuCeFangShi_ShouGong.Checked = Convert.ToBoolean(程序.设置["注册用户_是否启用手工注册"]);
        ZhuCeFangShi_DuanXin.Checked = Convert.ToBoolean(程序.设置["注册用户_是否启用短信注册"]);
        DuanXinZhuCeWenJianMing.Text = Convert.ToString(程序.设置["注册用户_短信注册文件名"]);
        DuanXinJieShouHaoMa.Text = Convert.ToString(程序.设置["注册用户_短信接收号码"]);
        DuanXinZhongXinMiMa.Text = Convert.ToString(程序.设置["注册用户_短信中心密码"]);
        ZhuCeYongHuZhiLing.Text = Convert.ToString(程序.设置["注册用户_注册用户指令"]);
        QuHuiMiMaZhiLing.Text = Convert.ToString(程序.设置["注册用户_取回密码指令"]);
        ZhuCeHouZengSongJiFen.Text = Convert.ToString(程序.设置["注册用户_注册后赠送积分"]);
        if (Convert.ToBoolean(程序.设置["注册用户_注册成功后消息提醒"]))
            ZhuCeChengGongHouXiaoXiTiXing_T.Checked = true;
        else
            ZhuCeChengGongHouXiaoXiTiXing_F.Checked = true;
        ZhuCeChengGongXiaoXiNeiRong.Text = Convert.ToString(程序.设置["注册用户_注册成功消息内容"]);
    }
    private void 更改设置()
    {
        访问.验证权限("1");
        if(DuanXinZhuCeWenJianMing.Text!=Convert.ToString(程序.设置["注册用户_短信注册文件名"]))
        {
            File.Move(Server.MapPath("~/Club/DXZC/"+程序.设置["注册用户_短信注册文件名"]+".aspx"),
                Server.MapPath("~/Club/DXZC/" + DuanXinZhuCeWenJianMing.Text + ".aspx"));
            File.Move(Server.MapPath("~/Club/DXZC/" + 程序.设置["注册用户_短信注册文件名"] + ".aspx.cs"),
                Server.MapPath("~/Club/DXZC/" + DuanXinZhuCeWenJianMing.Text + ".aspx.cs"));
        }
        程序.设置["注册用户_是否开启注册"] = ShiFouKaiQiZhuCe_T.Checked;
        程序.设置["注册用户_暂停注册提示"] = ZhanTingZhuCeTiShi.Text;
        程序.设置["注册用户_注册首选类型"] = ShouXuanZhuCeLeiXing_0.Checked ? 0 : 1;
        程序.设置["注册用户_是否启用手工注册"] = ZhuCeFangShi_ShouGong.Checked;
        程序.设置["注册用户_是否启用短信注册"] = ZhuCeFangShi_DuanXin.Checked;
        程序.设置["注册用户_短信注册文件名"] = DuanXinZhuCeWenJianMing.Text;
        程序.设置["注册用户_短信接收号码"] = DuanXinJieShouHaoMa.Text;
        程序.设置["注册用户_短信中心密码"] = DuanXinZhongXinMiMa.Text;
        程序.设置["注册用户_注册用户指令"] = ZhuCeYongHuZhiLing.Text;
        程序.设置["注册用户_取回密码指令"] = QuHuiMiMaZhiLing.Text;
        程序.设置["注册用户_注册后赠送积分"] = ZhuCeHouZengSongJiFen.Text;
        程序.设置["注册用户_注册成功后消息提醒"] = ZhuCeChengGongHouXiaoXiTiXing_T.Checked;
        程序.设置["注册用户_注册成功消息内容"] = ZhuCeChengGongXiaoXiNeiRong.Text;

        File.WriteAllText(Server.MapPath("~/Data/XML/SheZhi.xml"), 程序.设置.生成XML(), System.Text.Encoding.UTF8);

        访问统计_管理记录 管理记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        管理记录.记录("更改注册用户设置", 访问.用户["昵称"].ToString());
    }
}
